ftpcloudfs(8)

NAME
ftpcloudfs - FTP interface to Rackspace Cloud Files and OpenStack Object Storage

SYNOPSIS
ftpcloudfs [OPTIONS]

DESCRIPTION
ftpcloudfs FTP-CloudFS is an FTP server acting as a proxy to Rackspace Cloud Files or to OpenStack Object Storage (Swift). It allows you to connect via any FTP client to do upload/download or create containers. It supports pseudo-hierarchical folders/directories as described in the Rackspace Cloud Files API and the OpenStack Object Storage API.

OPTIONS

-h, --help

    show this help message and exit

-p PORT, --port=PORT

    Port to bind the server default: 2021.

-b BIND_ADDRESS, --bind-address=BIND_ADDRESS

    Address to bind by default: 127.0.0.1.

--workers=WORKERS

    Number of workers to use default: 1.

--memcache=MEMCACHE

    Memcache server(s) to be used for cache (ip:port).

-a AUTHURL, --auth-url=AUTHURL

    Auth URL for alternate providers(eg OpenStack)

-v, --verbose

    Be verbose on logging.

-s, --service-net

    Connect via Rackspace ServiceNet network.

-f, --foreground

    Do not attempt to daemonize but run in foreground.

-l LOG_FILE, --log-file=LOG_FILE

    Log File: Default stdout when in foreground

--syslog

    Enable logging to the system logger (daemon facility).

--pid-file=PID_FILE

    Pid file location when in daemon mode.

--uid=UID

    UID to drop the privilege to when in daemon mode

--gid=GID

    GID to drop the privilege to when in daemon mode

AUTHORS
"Juan J. Martinez" <juan@memset.com>